<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Модерация отзывов');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 3) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Модерация отзывов</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Модерация отзывов</div>';
if (isset($_GET['yes'])) {
$arr = DB::$dbs->queryFetch("SELECT user_id,type,id FROM otzyvy WHERE id = ? LIMIT 1", [abs((int)$_GET['yes'])]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE id = ?", [1,$b['id']]);
DB::$dbs->query("UPDATE `otzyvy` SET `activ` = ? WHERE `id` = ?", [2,abs((int)$_GET['yes'])]);
$mess = 'Ваш отзыв одобрен';
jurnal($arr['user_id'],$mess,5);
lenta(Nick($arr['user_id']).' оставил '.($arr['type'] == 1 ? '<b><font color="green">положительный</font></b>':'<b><font color="red">отрицательный</font></b>').' отзыв о сайте.');
}
if (isset($_GET['no'])) {
$arr = DB::$dbs->queryFetch("SELECT user_id,id FROM otzyvy WHERE id = ? LIMIT 1", [abs((int)$_GET['no'])]);
$mess = 'Ваш отзыв не одобрен';
jurnal($arr['user_id'],$mess,5);
DB::$dbs->query("DELETE FROM `otzyvy` WHERE `id` = ?",[abs((int)$_GET['no'])]);
}
$sql = DB::$dbs -> query("SELECT * FROM `otzyvy` WHERE `activ` = ? ORDER BY `time` DESC", [0]);
if ($sql->rowCount() == 0) {
echo '<div class="error">Нет отзывов на модерации</div>';
} else {
while($a = $sql -> fetch()) {
echo '<div class="row text_box"><i class="md-shuffle"></i>  Оставил отзыв: '.Nick($a['user_id']).' ('.vr($a['time']).')<br/>Тип: <b>'.($a['type'] == 1 ? '<b style="color: green;">Положительный</b>':'<b style="color: red;">Отрицательный</b>').'</b><br/>Текст отзыва:<br/>'.text($a['text']).'<br/>
<i class="md-shuffle"></i>  <a href="?yes='.$a['id'].'" style="color: green;">[Одобрить]</a> / <a style="color: red;" href="?no='.$a['id'].'">[Удалить]</a></div>';
}
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>